import { MaterialModule } from './../material.module';
import { ResizeDemoComponent } from './components/resize-demo/resize-demo.component';
// Angular Imports
import { NgModule } from '@angular/core';
import { FormsModule } from '@angular/forms';
import { BrowserModule } from '@angular/platform-browser';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
import { HttpModule, RequestOptions, XHRBackend, Http } from '@angular/http';

import { FlexLayoutModule } from '@angular/flex-layout';

import { DemoAppComponent } from './components/demo-app/demo-app.component';
import { TargetDemoComponent } from './components/target-demo/target-demo.component';
import { PositionDemoComponent } from './components/position-demo/position-demo.component';
import { InteractiveDemoComponent } from './components/interactive-demo/interactive-demo.component';

import { VisibleDemoComponent } from './components/visible-demo/visible-demo.component';
import { GistPopoverModule } from '../modules/gist-popover/gist-popover.module';
@NgModule( {
  imports: [
    BrowserModule,
    FormsModule,
    FlexLayoutModule,
    HttpModule,
    GistPopoverModule,
    MaterialModule
  ],
  declarations: [
    DemoAppComponent,
    TargetDemoComponent,
    PositionDemoComponent,
    VisibleDemoComponent,
    ResizeDemoComponent,
    InteractiveDemoComponent
  ],
  bootstrap: [
    DemoAppComponent
  ]
} )
export class DemoModule { }

