import { Injectable, TemplateRef } from '@angular/core';
import { PopoverEntry } from '../classes/popover-entry';

@Injectable()
export class GistPopoverService {
  public _popovers: PopoverEntry[] = [];

  private idIndexMap: { [ s: number ]: number } = {};

  public registerPopover( templateRef: TemplateRef<any> ): PopoverEntry {
    let entry = new PopoverEntry( templateRef );
    this.idIndexMap[ entry.id ] = this._popovers.length;

    this._popovers.push( entry );
    return entry;
  }

  public unRegisterPopover( entry: PopoverEntry ): void {
    let targetIndex = this.idIndexMap[ entry.id ];
    let isSearching: boolean = false;
    for ( let i = 0; i < this._popovers.length; i++ ) {
      if ( this._popovers[ i ] ) {
        this._popovers.splice( i, 1 );
        isSearching = false;
      }

    }

    entry.destroy();
  }
}
